// rdlogedit_conf.h
//
// Abstract RDAirplay_Hotkeys Configuration
//

#ifndef RDAirplay_HOTKEYS_H
#define RDAirplay_HOTKEYS_H

#include <qsqldatabase.h>


class RDAirplay_Hotkeys
{
 public:
  RDAirplay_Hotkeys(const QString &station);
  QString station() const;
  int inputCard() const;
  QString play_hotkey(int num) const;
  void setplay_hotkey(int num,QString value) const;
  QString stop_hotkey(int num) const;
  void setstop_hotkey(int num,QString value) const;
  QString pause_hotkey(int num) const;
  void setpause_hotkey(int num,QString value) const;
  QString add_hotkey() const;
  void setadd_hotkey(QString value) const;
  QString del_hotkey() const;
  void setdel_hotkey(QString value) const;
  QString copy_hotkey() const;
  void setcopy_hotkey(QString value) const;
  QString move_hotkey() const;
  void setmove_hotkey(QString value) const;
  QString mainlog_hotkey() const;
  void setmainlog_hotkey(QString value) const;
  QString auxlog_hotkey(int num) const;
  void setauxlog_hotkey(int num, QString value) const;
  QString soundpanel_hotkey() const;
  void setsoundpanel_hotkey(QString value) const;

 private:
  void SetRow(const QString &param,QString value) const;
  QString station_hotkeys;
};


#endif 
